From 9ef42c646a02e0b2d0f4865e68e1be8cd5d83c8a Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Nov 08 2025 08:49:21 +0000
Subject: [PATCH 1/3] Drop flatpak package and obolete all mesa-asahi-*-flatpak


---

diff --git a/asahi-platform-metapackage.spec b/asahi-platform-metapackage.spec
index 775992b..e5454b8 100644
--- a/asahi-platform-metapackage.spec
+++ b/asahi-platform-metapackage.spec
@@ -3,7 +3,7 @@
 
 Name:           asahi-platform-metapackage
 Version:        0
-Release:        24%{?dist}
+Release:        25%{?dist}
 Summary:        Metapackage declaring Asahi platform dependencies
 Group:          Metapackages
 License:        MIT
@@ -15,9 +15,6 @@ BuildRequires:  systemd-rpm-macros
 Requires:       %{name}-core = %{version}-%{release}
 Requires:       (%{name}-audio = %{version}-%{release} if pipewire)
 Requires:       (%{name}-plasma = %{version}-%{release} if plasma-desktop)
-%if 0%{?fedora} && 0%{?fedora} < 43
-Recommends:     (%{name}-flatpak = %{version}-%{release} if flatpak)
-%endif
 Requires:       (%{name}-fex = %{version}-%{release} if fex-emu)
 %dnl If/when we have desktop subpackages or whatever, we can make them
 %dnl conditional dependencies with the following format:
@@ -56,18 +53,16 @@ Conflicts:      kernel-64k-debug-core
 Conflicts:      kernel-64k-debug-devel
 %dnl drop firefox subpackage as the arch override in the UA is no longer needed
 Obsoletes:      %{name}-firefox < 22
-%dnl phase out mesa-asahi-*-flatpak packages either due to EOL or shipping mesa with asahi drivers
+%dnl obsolete all mesa-asahi-*-flatpak packages
 Obsoletes:      mesa-asahi-22.08-flatpak < 25.0
+Obsoletes:      mesa-asahi-23.08-flatpak < 25.2
 Obsoletes:      mesa-asahi-24.08-flatpak < 25.2
 %dnl nothing should depend on these but add provides anyway
 Provides:       mesa-asahi-22.08-flatpak
-Provides:       mesa-asahi-24.08-flatpak
-%if 0%{?fedora} && 0%{?fedora} >= 43
-Obsoletes:      mesa-asahi-23.08-flatpak < 25.2
 Provides:       mesa-asahi-23.08-flatpak
+Provides:       mesa-asahi-24.08-flatpak
 Obsoletes:      asahi-platform-metapackage-flatpak < 24
 Provides:       asahi-platform-metapackage-flatpak
-%endif
 
 %description core
 This package declares the core dependencies for the Asahi platform.
@@ -121,21 +116,6 @@ This package declares the KDE Plasma dependencies for the Asahi platform.
 
 %dnl -------------------------------------------------------------------
 
-%if 0%{?fedora} && 0%{?fedora} < 43
-%package flatpak
-Summary:        Metapackage declaring Flatpak support Asahi platform dependencies
-Requires:       mesa-asahi-23.08-flatpak
-
-%description flatpak
-This package declares the Flatpak dependencies for the Asahi platform. This are primarily
-GPU driver extensions for supported runtimes.
-
-%files flatpak
-%dnl No files to ship
-%endif
-
-%dnl -------------------------------------------------------------------
-
 %package fex
 Summary:        Metapackage declaring muvm support Asahi platform dependencies
 Requires:       muvm
@@ -213,6 +193,9 @@ install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name}-desktop %SOURCE1
 %endif
 
 %changelog
+* Sat Nov 08 2025 Janne Grunau <janne-fdr@jannau.net> - 0-25
+- Drop flatpak package and obolete all mesa-asahi-*-flatpak
+
 * Wed Jul 23 2025 Janne Grunau <janne-fdr@jannau.net> - 0-24
 - Drop mesa-asahi-*-flatpak for Fedora 43
 - Drop mesa-asahi-24.08-flatpak as the 24.08 FDO runtime ships mesa-25.1

From aea69c5a69b8e9403a3565c318286fd019716aa6 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Nov 08 2025 09:02:00 +0000
Subject: [PATCH 2/3] fex: depend virglrenderer-1.2.0 and drop mesa overlays from F43+


---

diff --git a/asahi-platform-metapackage.spec b/asahi-platform-metapackage.spec
index e5454b8..d5d779a 100644
--- a/asahi-platform-metapackage.spec
+++ b/asahi-platform-metapackage.spec
@@ -120,9 +120,11 @@ This package declares the KDE Plasma dependencies for the Asahi platform.
 Summary:        Metapackage declaring muvm support Asahi platform dependencies
 Requires:       muvm
 Requires:       fex-emu-rootfs-fedora
+%if 0%{?fedora} && 0%{?fedora} <= 42
 Requires:       mesa-fex-emu-overlay-i386
 Requires:       mesa-fex-emu-overlay-x86_64
-Requires:       virglrenderer(asahi)
+%endif
+Requires:       virglrenderer >= 1.2.0
 
 %description fex
 This package declares the fex-emu dependencies for the Asahi platform. These allow running
@@ -195,6 +197,7 @@ install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name}-desktop %SOURCE1
 %changelog
 * Sat Nov 08 2025 Janne Grunau <janne-fdr@jannau.net> - 0-25
 - Drop flatpak package and obolete all mesa-asahi-*-flatpak
+- fex: depend virglrenderer-1.2.0 and drop mesa overlays from F43+
 
 * Wed Jul 23 2025 Janne Grunau <janne-fdr@jannau.net> - 0-24
 - Drop mesa-asahi-*-flatpak for Fedora 43

From dba93f8445c09cd904473bb156134e33ef9f77a5 Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Nov 08 2025 09:02:00 +0000
Subject: [PATCH 3/3] Execute grub2 config fixup script for desktop installations


This adjusts known configs to the default values of Fedora desktop.

---

diff --git a/asahi-platform-metapackage.spec b/asahi-platform-metapackage.spec
index d5d779a..f50cd74 100644
--- a/asahi-platform-metapackage.spec
+++ b/asahi-platform-metapackage.spec
@@ -158,7 +158,7 @@ This contains the OpenCL runtime and persistant battery charge control support u
 
 # Adjust grub2 config to Fedora desktop defaults
 %dnl %posttrans desktop
-%dnl %{_libexecdir}/%{name}-desktop/FAR_grub2_config_fixup.sh
+%{_libexecdir}/%{name}-desktop/FAR_grub2_config_fixup.sh
 %endif
 
 %dnl -------------------------------------------------------------------
@@ -198,6 +198,7 @@ install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name}-desktop %SOURCE1
 * Sat Nov 08 2025 Janne Grunau <janne-fdr@jannau.net> - 0-25
 - Drop flatpak package and obolete all mesa-asahi-*-flatpak
 - fex: depend virglrenderer-1.2.0 and drop mesa overlays from F43+
+- Execute grub2 config fixup script for desktop installations
 
 * Wed Jul 23 2025 Janne Grunau <janne-fdr@jannau.net> - 0-24
 - Drop mesa-asahi-*-flatpak for Fedora 43

